io.vertx.reactivex.oracleclient

## Class OracleConnection

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlClient
  - - io.vertx.reactivex.sqlclient.SqlConnection
    - - io.vertx.reactivex.oracleclient.OracleConnection

-     public class OracleConnection
      extends SqlConnection

  A connection to Oracle Database.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OracleConnection>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleConnection(io.vertx.oracleclient.OracleConnection delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OracleConnection` | `cast(SqlConnection sqlConnection)` Cast a to `OracleConnection`.
    `OracleConnection` | `closeHandler(Handler<Void> handler)` Set an handler called when the connection is closed.
    `static void` | `connect(Vertx vertx, io.vertx.oracleclient.OracleConnectOptions connectOptions)` Create a connection to Oracle with the given `connectOptions`.
    `static void` | `connect(Vertx vertx, io.vertx.oracleclient.OracleConnectOptions connectOptions, Handler<AsyncResult<OracleConnection>> handler)` Create a connection to Oracle with the given `connectOptions`.
    `boolean` | `equals(Object o)`
    `OracleConnection` | `exceptionHandler(Handler<Throwable> handler)` Set an handler called with connection errors.
    `io.vertx.oracleclient.OracleConnection` | `getDelegate()`
    `int` | `hashCode()`
    `static OracleConnection` | `newInstance(io.vertx.oracleclient.OracleConnection arg)`
    `OracleConnection` | `prepare(String s)` Create a prepared statement using the given `sql` string.
    `OracleConnection` | `prepare(String s, Handler<AsyncResult<PreparedStatement>> handler)` Create a prepared statement using the given `sql` string.
    `static Single<OracleConnection>` | `rxConnect(Vertx vertx, io.vertx.oracleclient.OracleConnectOptions connectOptions)` Create a connection to Oracle with the given `connectOptions`.
    `Single<PreparedStatement>` | `rxPrepare(String s)` Create a prepared statement using the given `sql` string.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlConnection

      `begin, begin, close, close, databaseMetadata, isSSL, newInstance, prepare, prepare, rxBegin, rxClose, rxPrepare, transaction`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlClient

      `newInstance, preparedQuery, preparedQuery, query`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OracleConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### OracleConnection

          public OracleConnection(io.vertx.oracleclient.OracleConnection delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlConnection`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SqlConnection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlConnection`

    - #### getDelegate

          public io.vertx.oracleclient.OracleConnection getDelegate()

      Overrides:
        `getDelegate` in class `SqlConnection`

    - #### connect

          public static void connect(Vertx vertx,
                                     io.vertx.oracleclient.OracleConnectOptions connectOptions,
                                     Handler<AsyncResult<OracleConnection>> handler)

      Create a connection to Oracle with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
        `handler` - the handler called with the connection or the failure

    - #### connect

          public static void connect(Vertx vertx,
                                     io.vertx.oracleclient.OracleConnectOptions connectOptions)

      Create a connection to Oracle with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection

    - #### rxConnect

          public static Single<OracleConnection> rxConnect(Vertx vertx,
                                                           io.vertx.oracleclient.OracleConnectOptions connectOptions)

      Create a connection to Oracle with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:

    - #### prepare

          public OracleConnection prepare(String s,
                                          Handler<AsyncResult<PreparedStatement>> handler)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `prepare` in class `SqlConnection`
      Parameters:
        `s` -
        `handler` -
      Returns:

    - #### prepare

          public OracleConnection prepare(String s)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `prepare` in class `SqlConnection`
      Parameters:
        `s` -
      Returns:

    - #### rxPrepare

          public Single<PreparedStatement> rxPrepare(String s)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `rxPrepare` in class `SqlConnection`
      Parameters:
        `s` -
      Returns:

    - #### exceptionHandler

          public OracleConnection exceptionHandler(Handler<Throwable> handler)

      Description copied from class: `SqlConnection`
      Set an handler called with connection errors.
      Overrides:
        `exceptionHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### closeHandler

          public OracleConnection closeHandler(Handler<Void> handler)

      Description copied from class: `SqlConnection`
      Set an handler called when the connection is closed.
      Overrides:
        `closeHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### cast

          public static OracleConnection cast(SqlConnection sqlConnection)

      Cast a to `OracleConnection`.

      This is mostly useful for Vert.x generated APIs like RxJava/Mutiny.

      Parameters:
        `sqlConnection` - the connection to cast
      Returns:
        a `instance`

    - #### newInstance

          public static OracleConnection newInstance(io.vertx.oracleclient.OracleConnection arg)

Copyright © 2024 Eclipse. All rights reserved.